Page MenuHomePhabricator

copies-rust: combine the iteration over remove and copies into one
ClosedPublic

Authored by marmoute on Nov 12 2020, 10:16 AM.

Details

Summary

In the underlying data, the copies information and the removal information are
interleaved. And in the consumer code, the consumption could be interleaved too.
So, we make the processing closer to the underlying data by fusing the two
iterators into one. Later, we will directly consume the underlying data and that
logic to combine the two iterators will be unnecessary.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

marmoute created this revision.Nov 12 2020, 10:16 AM
Alphare accepted this revision.Nov 13 2020, 7:54 AM
Alphare added a subscriber: Alphare.

You accidentally a verb at the end of the commit description, and there are a few typos here and there, but otherwise it looks good.

marmoute edited the summary of this revision. (Show Details)Nov 13 2020, 7:05 PM
marmoute updated this revision to Diff 23498.
Alphare accepted this revision.Nov 16 2020, 6:19 AM
Alphare updated this revision to Diff 23727.Nov 27 2020, 11:11 AM
marmoute updated this revision to Diff 23809.Nov 29 2020, 6:12 AM
pulkit accepted this revision.Nov 29 2020, 2:07 PM
This revision is now accepted and ready to land.Nov 29 2020, 2:07 PM